---
title: SharedWorkerGlobalScope.close()
slug: Web/API/SharedWorkerGlobalScope/close
tags:
  - API
  - DOM
  - Method
  - Reference
  - SharedWorkerGlobalScope
  - Web Workers
  - close
---
<p>{{APIRef("Web Workers API")}}</p>

<p>The <code><strong>close()</strong></code> method of the {{domxref("SharedWorkerGlobalScope")}} interface discards any tasks queued in the <code>SharedWorkerGlobalScope</code>'s event loop, effectively closing this particular scope.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">self.close();</pre>

<h2 id="Example">Example</h2>

<p>If you want to close your worker instance from inside the worker itself, you can call the following:</p>

<pre class="brush: js">close();</pre>

<p><code>close()</code> and <code>self.close()</code> are effectively equivalent — both represent <code>close()</code> being called from inside the worker's inner scope.</p>

<div class="note">
<p><strong>Note</strong>: There is also a way to stop the worker from the main thread: the {{domxref("Worker.terminate")}} method.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('HTML WHATWG', '#dom-sharedworkerglobalscope-close', 'close()')}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SharedWorkerGlobalScope.close")}}</p>

<p><strong>General note:</strong> In newer browser versions, <code>close()</code> is available on <code>SharedWorkerGlobalScope</code> and {{domxref("DedicatedWorkerGlobalScope.close", "DedicatedWorkerGlobalScope")}}. In older browser versions, it is available on {{domxref("WorkerGlobalScope.close","WorkerGlobalScope")}}. This change was made to stop <code>close()</code> being available on service workers, as it isn't supposed to be used there and always throws an exception when called (see {{bug(1336043)}}).</p>

<h2 id="See_also">See also</h2>

<p>{{domxref("DedicatedWorkerGlobalScope")}}</p>
